Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.impl
Class XbrlUnit

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.impl.XbrlUnit

All Implemented Interfaces:
  IXbrlUnit

    public class XbrlUnit

extends java.lang.Object
implements IXbrlUnit

Clase usada para encapsular un objeto correspondiente a un Unit XBRL.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.String` | `getCode()` Devuelve el code de un unit
`java.lang.String` | `getKey()` Devuelve el key de un unit
`java.lang.Object` | `getMeasure()` Devuelve el measure de un unit
`java.lang.String` | `getPrefix()` Devuelve el prefijo de un unit
`java.lang.Object` | `getUnitObject()` Devuelve el unit como object
`void` | `setCode(java.lang.String code)` Establece el code de un unit
`void` | `setKey(java.lang.String key)` Establece el key de un unit
`void` | `setMeasure(java.lang.Object measure)` Establece el measure de un unit
`void` | `setPrefix(java.lang.String prefix)` Establece el prefijo de un unit
`void` | `setUnitObject(java.lang.Object unitObject)` Establece el unit a partir de un object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getKey

    public final java.lang.String getKey()

  Description copied from interface: `IXbrlUnit`
  Devuelve el key de un unit

  Specified by:
    `getKey` in interface `IXbrlUnit`
  Returns:
    key del unit

### setKey

    public final void setKey(java.lang.String key)

  Description copied from interface: `IXbrlUnit`
  Establece el key de un unit

  Specified by:
    `setKey` in interface `IXbrlUnit`
  Parameters:
    `key` - key del unit

### getCode

    public final java.lang.String getCode()

  Description copied from interface: `IXbrlUnit`
  Devuelve el code de un unit

  Specified by:
    `getCode` in interface `IXbrlUnit`
  Returns:
    code del unit

### setCode

    public final void setCode(java.lang.String code)

  Description copied from interface: `IXbrlUnit`
  Establece el code de un unit

  Specified by:
    `setCode` in interface `IXbrlUnit`
  Parameters:
    `code` - code del unit

### getPrefix

    public final java.lang.String getPrefix()

  Description copied from interface: `IXbrlUnit`
  Devuelve el prefijo de un unit

  Specified by:
    `getPrefix` in interface `IXbrlUnit`
  Returns:
    prefijo del unit

### setPrefix

    public final void setPrefix(java.lang.String prefix)

  Description copied from interface: `IXbrlUnit`
  Establece el prefijo de un unit

  Specified by:
    `setPrefix` in interface `IXbrlUnit`
  Parameters:
    `prefix` - prefijo de unit

### getMeasure

    public final java.lang.Object getMeasure()

  Description copied from interface: `IXbrlUnit`
  Devuelve el measure de un unit

  Specified by:
    `getMeasure` in interface `IXbrlUnit`
  Returns:
    measure del unit

### setMeasure

    public final void setMeasure(java.lang.Object measure)

  Description copied from interface: `IXbrlUnit`
  Establece el measure de un unit

  Specified by:
    `setMeasure` in interface `IXbrlUnit`
  Parameters:
    `measure` - mesaure del unit

### getUnitObject

    public final java.lang.Object getUnitObject()

  Description copied from interface: `IXbrlUnit`
  Devuelve el unit como object

  Specified by:
    `getUnitObject` in interface `IXbrlUnit`
  Returns:
    unit como object

### setUnitObject

    public final void setUnitObject(java.lang.Object unitObject)

  Description copied from interface: `IXbrlUnit`
  Establece el unit a partir de un object

  Specified by:
    `setUnitObject` in interface `IXbrlUnit`
  Parameters:
    `unitObject` - unit como object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD